Contents

Get List of Recently Viewed Wikis

[Notice] Starting July 14, 2026, we are changing how we provide Wiki:

  • New spaces: Wiki is not available.
  • Existing spaces: Wiki is off by default for new projects. You can turn it on in project settings.

For details, see Important Notice: Discontinuing Wiki for New Spaces and Updating Default Settings for New Projects(Open in new tab).


Wiki API endpoints still work. Discontinuing Wiki in the future will affect API integrations, and we’ll give you ample notice beforehand.

Returns list of Wikis which the user viewed recently.

Role

All

Method

GET

URL

/api/v2/users/myself/recentlyViewedWikis

Query parameters

Parameter NameTypeDescription
orderString”asc” or “desc” default=“desc”
offsetNumber
countNumbernumber of records to retrieve(1-100) default=20

Response example

Status Line / Response Header

HTTP/1.1 200 OK
Content-Type:application/json;charset=utf-8

Response Body

{
    "page": {
        "id": 112,
        "projectId": 103,
        "name": "Home",
        "tags": [
            {
                "id": 12,
                "name": "proceedings"
            }
        ],
        "createdUser": {
            "id": 1,
            "userId": "admin",
            "name": "admin",
            "roleType": 1,
            "lang": "ja",
            "nulabAccount": {
                "nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
                "name": "admin",
                "uniqueId": "admin"
            },
            "mailAddress": "eguchi@nulab.example",
            "lastLoginTime": "2022-09-01T06:35:39Z"
        },
        "created": "2013-05-30T09:11:36Z",
        "updatedUser": {
            "id": 1,
            "userId": "admin",
            "name": "admin",
            "roleType": 1,
            "lang": "ja",
            "nulabAccount": {
                "nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
                "name": "admin",
                "uniqueId": "admin"
            },
            "mailAddress": "eguchi@nulab.example",
            "lastLoginTime": "2022-09-01T06:35:39Z"
        },
        "updated": "2013-05-30T09:11:36Z"
    },
    "updated": "2014-07-16T07:18:16Z"
}